Bug 11802 - lib/socket/interfaces: fix valgrind warning
lib/socket/interfaces: fix valgrind warning
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-18 03:09 UTC by Stefan Metzmacher
Modified: 2016-03-23 08:39 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-4-test (2.00 KB, patch)
2016-03-18 03:09 UTC, Stefan Metzmacher
gd: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2016-03-18 03:09:21 UTC
Created attachment 11928 [details]
Patch for v4-4-test

We need to backport

commit 2e2f81134c86ef3146781d62d9f561f496b74ee2
Author:     Günther Deschner <gd@samba.org>
AuthorDate: Wed Mar 2 18:32:53 2016 +0100
Commit:     Jeremy Allison <jra@samba.org>
CommitDate: Sat Mar 12 06:24:24 2016 +0100

    lib/socket/interfaces: Fix some uninitialied bytes.
    
    Valgrind reports the following:
    
    ==26599== Syscall param ioctl(SIOCETHTOOL) points to uninitialised byte(s)
    ==26599==    at 0x7014707: ioctl (in /usr/lib64/libc-2.22.so)
    ==26599==    by 0x79D1585: query_iface_speed_from_name (interfaces.c:152)
    ==26599==    by 0x79D1BBA: _get_interfaces (interfaces.c:277)
    ==26599==    by 0x79D1E80: get_interfaces (interfaces.c:368)
    ==26599==    by 0x508A7E3: load_interfaces (interface.c:612)
    ==26599==    by 0x150B30: main (net.c:963)
    ==26599==  Address 0xffefff0d8 is on thread 1's stack
    ==26599==  in frame #1, created by query_iface_speed_from_name
    (interfaces.c:130)
    ==26599==
    ==26599== Syscall param ioctl(SIOCETHTOOL) points to uninitialised byte(s)
    ==26599==    at 0x7014707: ioctl (in /usr/lib64/libc-2.22.so)
    ==26599==    by 0x79D15CC: query_iface_speed_from_name (interfaces.c:164)
    ==26599==    by 0x79D1BBA: _get_interfaces (interfaces.c:277)
    ==26599==    by 0x79D1E80: get_interfaces (interfaces.c:368)
    ==26599==    by 0x508A7E3: load_interfaces (interface.c:612)
    ==26599==    by 0x150B30: main (net.c:963)
    ==26599==  Address 0xffefff0d8 is on thread 1's stack
    ==26599==  in frame #1, created by query_iface_speed_from_name
    (interfaces.c:130)
    
    Guenther
    
    Signed-off-by: Guenther Deschner <gd@samba.org>
Comment 1 Guenther Deschner 2016-03-18 09:49:32 UTC
Comment on attachment 11928 [details]
Patch for v4-4-test

LGTM.

Thanks metze!
Comment 2 Guenther Deschner 2016-03-18 09:50:07 UTC
Karolin, please add to v4-4-test.

Thanks
Comment 3 Stefan Metzmacher 2016-03-21 12:38:42 UTC
Pushed to autobuild-v4-4-test
Comment 4 Karolin Seeger 2016-03-23 08:39:04 UTC
(In reply to Stefan Metzmacher from comment #3)
Pushed to v4-4-test.
Closing out bug report.

Thanks!